# Uses of Interface
org.eclipse.ui.IWorkbenchPage

Packages that use IWorkbenchPage
Package
Description
org.eclipse.compare
Provides support for performing structural and textual compare operations on arbitrary data and displaying the results.
org.eclipse.compare.internal
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.
org.eclipse.debug.ui.sourcelookup
Provides a user interface for debug platform source lookup facilities.
org.eclipse.search.ui.text
Provides the base classes to implement a search result view part for searches with textual matches.
org.eclipse.team.ui
Provides basic support for managing Team providers.
org.eclipse.team.ui.history
Application programming interfaces for working with history.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.actions
Classes for actions and operations used in a workbench window, page, or part in the Eclipse Platform User Interface.
org.eclipse.ui.databinding.typed
org.eclipse.ui.ide
APIs for the IDE-specific portion of the Eclipse Platform User Interface.
org.eclipse.ui.internal
org.eclipse.ui.navigator
Provides the Common Navigator framework.
org.eclipse.ui.part
Classes for the creation of workbench parts that integrate with the Eclipse Platform User Interface.
org.eclipse.ui.views.markers
Utility classes for working with markers in views

## Uses of IWorkbenchPage in org.eclipse.compare

Methods in org.eclipse.compare with parameters of type IWorkbenchPage
Modifier and Type
Method
Description
`static void`
CompareUI.`openCompareEditorOnPage(CompareEditorInput input, IWorkbenchPage page)`
Performs the comparison described by the given input and opens a compare editor on the result in the given workbench page.

## Uses of IWorkbenchPage in org.eclipse.compare.internal

Fields in org.eclipse.compare.internal declared as IWorkbenchPage
Modifier and Type
Field
Description
`protected IWorkbenchPage`
CompareAction.`fWorkbenchPage`
Methods in org.eclipse.compare.internal with parameters of type IWorkbenchPage
Modifier and Type
Method
Description
`void`
CompareLinkHelper.`activateEditor(IWorkbenchPage aPage, IStructuredSelection aSelection)`
`void`
CompareUIPlugin.`openCompareEditor(CompareEditorInput input, IWorkbenchPage page, IReusableEditor editor, boolean activate)`
Performs the comparison described by the given input and opens a compare editor on the result.

## Uses of IWorkbenchPage in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui with parameters of type IWorkbenchPage
Modifier and Type
Method
Description
`static void`
DebugUITools.`displaySource(ISourceLookupResult result, IWorkbenchPage page)`
Displays the given source lookup result in an editor in the given workbench page.

## Uses of IWorkbenchPage in org.eclipse.debug.ui.sourcelookup

Methods in org.eclipse.debug.ui.sourcelookup with parameters of type IWorkbenchPage
Modifier and Type
Method
Description
`void`
ISourceDisplay.`displaySource(Object element, IWorkbenchPage page, boolean forceSourceLookup)`
Displays source for the given element in the specified page.

## Uses of IWorkbenchPage in org.eclipse.search.ui.text

Methods in org.eclipse.search.ui.text with parameters of type IWorkbenchPage
Modifier and Type
Method
Description
`protected final IEditorPart`
AbstractTextSearchViewPage.`open(IWorkbenchPage page, IFile file, boolean activate)`
Opens an editor on the given file resource.
`protected final IEditorPart`
AbstractTextSearchViewPage.`openAndSelect(IWorkbenchPage page, IFile file, int offset, int length, boolean activate)`
Opens an editor on the given file resource and tries to select the given offset and length.

## Uses of IWorkbenchPage in org.eclipse.team.ui

Methods in org.eclipse.team.ui with parameters of type IWorkbenchPage
Modifier and Type
Method
Description
`static IHistoryView`
TeamUI.`showHistoryFor(IWorkbenchPage page, Object input, IHistoryPageSource pageSource)`
Shows a history view containing the given input and returns a handle to the view or `null` if no history was available for the given input.

## Uses of IWorkbenchPage in org.eclipse.team.ui.history

Methods in org.eclipse.team.ui.history with parameters of type IWorkbenchPage
Modifier and Type
Method
Description
`static AbstractDecoratedTextEditor`
RevisionAnnotationController.`openEditor(IWorkbenchPage page, Object fileRevision, IStorage storage)`
Open a text editor that supports the use of a revision ruler on the given file.
`static AbstractDecoratedTextEditor`
RevisionAnnotationController.`openEditor(IWorkbenchPage page, IFile file)`
Open a text editor that supports the use of a revision ruler on the given file.
Constructors in org.eclipse.team.ui.history with parameters of type IWorkbenchPage
Modifier
Constructor
Description
``
`RevisionAnnotationController(IWorkbenchPage page, IFile file, ISelectionProvider historyList)`
Create a controller that links an editor on a local file to a history list.
``
`RevisionAnnotationController(IWorkbenchPage page, IStorageEditorInput editorInput, ISelectionProvider historyList)`
Create a controller that links an editor input on a remote file to a history list.

## Uses of IWorkbenchPage in org.eclipse.team.ui.synchronize

Constructors in org.eclipse.team.ui.synchronize with parameters of type IWorkbenchPage
Modifier
Constructor
Description
``
`SaveableCompareEditorInput(CompareConfiguration configuration, IWorkbenchPage page)`
Creates a `LocalResourceCompareEditorInput` which is initialized with the given compare configuration.

## Uses of IWorkbenchPage in org.eclipse.ui

Methods in org.eclipse.ui that return IWorkbenchPage
Modifier and Type
Method
Description
`IWorkbenchPage`
IPageService.`getActivePage()`
Returns the active page.
`IWorkbenchPage`
IWorkbenchWindow.`getActivePage()`
Returns the currently active page for this workbench window.
`IWorkbenchPage`
IWorkbenchPartReference.`getPage()`
`IWorkbenchPage`
IWorkbenchSite.`getPage()`
Returns the page containing this workbench site.
`IWorkbenchPage[]`
IWorkbenchWindow.`getPages()`
Returns a list of the pages in this workbench window.
`IWorkbenchPage`
IWorkbenchWindow.`openPage(String perspectiveId, IAdaptable input)`
Creates and opens a new workbench page.
`IWorkbenchPage`
IWorkbenchWindow.`openPage(IAdaptable input)`
Creates and opens a new workbench page.
`IWorkbenchPage`
IWorkbench.`showPerspective(String perspectiveId, IWorkbenchWindow window)`
Shows the specified perspective to the user.
`IWorkbenchPage`
IWorkbench.`showPerspective(String perspectiveId, IWorkbenchWindow window, IAdaptable input)`
Shows the specified perspective to the user.
Methods in org.eclipse.ui with parameters of type IWorkbenchPage
Modifier and Type
Method
Description
`void`
IEditorActionBarContributor.`init(IActionBars bars, IWorkbenchPage page)`
Initializes this contributor, which is expected to add contributions as required to the given action bars and global action handlers.
`void`
IPageListener.`pageActivated(IWorkbenchPage page)`
Notifies this listener that the given page has been activated.
`void`
IPageListener.`pageClosed(IWorkbenchPage page)`
Notifies this listener that the given page has been closed.
`void`
IPageListener.`pageOpened(IWorkbenchPage page)`
Notifies this listener that the given page has been opened.
`void`
IPerspectiveListener.`perspectiveActivated(IWorkbenchPage page, IPerspectiveDescriptor perspective)`
Notifies this listener that a perspective in the given page has been activated.
`void`
PerspectiveAdapter.`perspectiveActivated(IWorkbenchPage page, IPerspectiveDescriptor perspective)`
`void`
IPerspectiveListener.`perspectiveChanged(IWorkbenchPage page, IPerspectiveDescriptor perspective, String changeId)`
Notifies this listener that a perspective has changed in some way (for example, editor area hidden, perspective reset, view show/hide, editor open/close, etc).
`void`
IPerspectiveListener2.`perspectiveChanged(IWorkbenchPage page, IPerspectiveDescriptor perspective, IWorkbenchPartReference partRef, String changeId)`
Notifies this listener that a part in the given page's perspective has changed in some way (for example, view show/hide, editor open/close, etc).
`void`
PerspectiveAdapter.`perspectiveChanged(IWorkbenchPage page, IPerspectiveDescriptor perspective, String changeId)`
`void`
PerspectiveAdapter.`perspectiveChanged(IWorkbenchPage page, IPerspectiveDescriptor perspective, IWorkbenchPartReference partRef, String changeId)`
`void`
IPerspectiveListener3.`perspectiveClosed(IWorkbenchPage page, IPerspectiveDescriptor perspective)`
Notifies this listener that a perspective in the given page has been closed.
`void`
PerspectiveAdapter.`perspectiveClosed(IWorkbenchPage page, IPerspectiveDescriptor perspective)`
`void`
IPerspectiveListener3.`perspectiveDeactivated(IWorkbenchPage page, IPerspectiveDescriptor perspective)`
Notifies this listener that a perspective in the given page has been deactivated.
`void`
PerspectiveAdapter.`perspectiveDeactivated(IWorkbenchPage page, IPerspectiveDescriptor perspective)`
`void`
IPerspectiveListener3.`perspectiveOpened(IWorkbenchPage page, IPerspectiveDescriptor perspective)`
Notifies this listener that a perspective in the given page has been opened.
`void`
PerspectiveAdapter.`perspectiveOpened(IWorkbenchPage page, IPerspectiveDescriptor perspective)`
`void`
IPerspectiveListener4.`perspectivePreDeactivate(IWorkbenchPage page, IPerspectiveDescriptor perspective)`
Notifies this listener that a perspective in the given page is about to be deactivated.
`void`
PerspectiveAdapter.`perspectivePreDeactivate(IWorkbenchPage page, IPerspectiveDescriptor perspective)`
Notifies this listener that a perspective in the given page is about to be deactivated.
`void`
IPerspectiveListener3.`perspectiveSavedAs(IWorkbenchPage page, IPerspectiveDescriptor oldPerspective, IPerspectiveDescriptor newPerspective)`
Notifies this listener that a perspective in the given page has been saved as a new perspective with a different perspective descriptor.
`void`
PerspectiveAdapter.`perspectiveSavedAs(IWorkbenchPage page, IPerspectiveDescriptor oldPerspective, IPerspectiveDescriptor newPerspective)`
`void`
IWorkbenchWindow.`setActivePage(IWorkbenchPage page)`
Sets or clears the currently active page for this workbench window.
`boolean`
Saveable.`show(IWorkbenchPage page)`
Attempts to show this saveable in the given page and returns `true` on success.

## Uses of IWorkbenchPage in org.eclipse.ui.actions

Constructors in org.eclipse.ui.actions with parameters of type IWorkbenchPage
Modifier
Constructor
Description
``
`OpenFileAction(IWorkbenchPage page)`
Creates a new action that will open editors on the then-selected file resources.
``
`OpenFileAction(IWorkbenchPage page, IEditorDescriptor descriptor)`
Creates a new action that will open instances of the specified editor on the then-selected file resources.
``
`OpenSystemEditorAction(IWorkbenchPage page)`
Creates a new action that will open system editors on the then-selected file resources.
``
`OpenWithMenu(IWorkbenchPage page)`
Deprecated.
As there is no way to set the file with this constructor use a different constructor.
``
`OpenWithMenu(IWorkbenchPage page, IAdaptable file)`
Constructs a new instance of `OpenWithMenu`.

## Uses of IWorkbenchPage in org.eclipse.ui.databinding.typed

Methods in org.eclipse.ui.databinding.typed that return types with arguments of type IWorkbenchPage
Modifier and Type
Method
Description
`static <S extends IPageService>
IValueProperty<S, IWorkbenchPage>`
WorkbenchProperties.`activePage()`
Returns a property for observing the active page of a workbench window.

## Uses of IWorkbenchPage in org.eclipse.ui.ide

Methods in org.eclipse.ui.ide with parameters of type IWorkbenchPage
Modifier and Type
Method
Description
`static IEditorPart`
ResourceUtil.`findEditor(IWorkbenchPage page, IFile file)`
Returns the editor in the given page whose input represents the given file, or `null` if there is no such editor.
`static IEditorPart`
IDE.`openEditor(IWorkbenchPage page, URI uri, String editorId, boolean activate)`
Opens an editor on the given IFileStore object.
`static IEditorPart`
IDE.`openEditor(IWorkbenchPage page, IFile input)`
Opens an editor on the given file resource.
`static IEditorPart`
IDE.`openEditor(IWorkbenchPage page, IFile input, boolean activate)`
Opens an editor on the given file resource.
`static IEditorPart`
IDE.`openEditor(IWorkbenchPage page, IFile input, boolean activate, boolean determineContentType)`
Opens an editor on the given file resource.
`static IEditorPart`
IDE.`openEditor(IWorkbenchPage page, IFile input, String editorId)`
Opens an editor on the given file resource.
`static IEditorPart`
IDE.`openEditor(IWorkbenchPage page, IFile input, String editorId, boolean activate)`
Opens an editor on the given file resource.
`static IEditorPart`
IDE.`openEditor(IWorkbenchPage page, IMarker marker)`
Opens an editor on the file resource of the given marker.
`static IEditorPart`
IDE.`openEditor(IWorkbenchPage page, IMarker marker, boolean activate)`
Opens an editor on the file resource of the given marker.
`static IEditorPart`
IDE.`openEditor(IWorkbenchPage page, IEditorInput input, String editorId)`
Opens an editor on the given object.
`static IEditorPart`
IDE.`openEditor(IWorkbenchPage page, IEditorInput input, String editorId, boolean activate)`
Opens an editor on the given object.
`static IEditorPart`
IDE.`openEditorOnFileStore(IWorkbenchPage page, IFileStore fileStore)`
Opens an editor on the given IFileStore object.
`static IEditorReference[]`
IDE.`openEditors(IWorkbenchPage page, IFile[] inputs)`
Opens editors on given file resources.
`static IEditorPart`
IDE.`openInternalEditorOnFileStore(IWorkbenchPage page, IFileStore fileStore)`
Opens an internal editor on the given IFileStore object.

## Uses of IWorkbenchPage in org.eclipse.ui.internal

Classes in org.eclipse.ui.internal that implement IWorkbenchPage
Modifier and Type
Class
Description
`class`
`WorkbenchPage`
A collection of views and editors in a workbench.
Methods in org.eclipse.ui.internal that return IWorkbenchPage
Modifier and Type
Method
Description
`final IWorkbenchPage`
PageEventAction.`getActivePage()`
Returns the currently active page in the workbench window.
`IWorkbenchPage`
SlavePageService.`getActivePage()`
`IWorkbenchPage`
WorkbenchWindow.`getActivePage()`
`IWorkbenchPage`
PartSite.`getPage()`
Returns the page containing this workbench site's part.
`IWorkbenchPage`
WorkbenchPartReference.`getPage()`
`IWorkbenchPage[]`
WorkbenchWindow.`getPages()`
`IWorkbenchPage`
WorkbenchWindow.`openPage(String perspectiveId, IAdaptable input)`
`IWorkbenchPage`
WorkbenchWindow.`openPage(IAdaptable input)`
`IWorkbenchPage`
Workbench.`showPerspective(String perspectiveId, IWorkbenchWindow window)`
`IWorkbenchPage`
Workbench.`showPerspective(String perspectiveId, IWorkbenchWindow targetWindow, IAdaptable input)`
Methods in org.eclipse.ui.internal with parameters of type IWorkbenchPage
Modifier and Type
Method
Description
`protected void`
FilteredTableBaseHandler.`activate(IWorkbenchPage page, Object selectedItem)`
Activate the selected item.
`NavigationHistoryEntry`
NavigationHistory.`createEntry(IWorkbenchPage page, IEditorPart part, INavigationLocation location)`
`void`
PageListenerList.`firePageActivated(IWorkbenchPage page)`
Notifies the listener that a part has been activated.
`void`
PageListenerList.`firePageClosed(IWorkbenchPage page)`
Notifies the listener that a part has been closed
`void`
PageListenerList.`firePageOpened(IWorkbenchPage page)`
Notifies the listener that a part has been opened.
`void`
PerspectiveListenerList.`firePerspectiveActivated(IWorkbenchPage page, IPerspectiveDescriptor perspective)`
Notifies the listener that a perspective has been activated.
`void`
PerspectiveListenerList.`firePerspectiveChanged(IWorkbenchPage page, IPerspectiveDescriptor perspective, String changeId)`
Notifies the listener that a perspective has been changed.
`void`
PerspectiveListenerList.`firePerspectiveChanged(IWorkbenchPage page, IPerspectiveDescriptor perspective, IWorkbenchPartReference partRef, String changeId)`
Notifies the listener that a part has been affected in the given perspective.
`void`
WorkbenchWindow.`firePerspectiveChanged(IWorkbenchPage page, IPerspectiveDescriptor perspective, String changeId)`
Fires perspective changed
`void`
WorkbenchWindow.`firePerspectiveChanged(IWorkbenchPage page, IPerspectiveDescriptor perspective, IWorkbenchPartReference partRef, String changeId)`
Fires perspective changed for an affected part
`void`
PerspectiveListenerList.`firePerspectiveClosed(IWorkbenchPage page, IPerspectiveDescriptor perspective)`
Notifies the listener that a perspective has been closed.
`void`
PerspectiveListenerList.`firePerspectiveDeactivated(IWorkbenchPage page, IPerspectiveDescriptor perspective)`
Notifies the listener that a perspective has been deactivated.
`void`
PerspectiveListenerList.`firePerspectiveOpened(IWorkbenchPage page, IPerspectiveDescriptor perspective)`
Notifies the listener that a perspective has been opened.
`void`
PerspectiveListenerList.`firePerspectivePreDeactivate(IWorkbenchPage page, IPerspectiveDescriptor perspective)`
Notifies the listener that a perspective has been deactivated.
`void`
PerspectiveListenerList.`firePerspectiveSavedAs(IWorkbenchPage page, IPerspectiveDescriptor oldPerspective, IPerspectiveDescriptor newPerspective)`
Notifies the listener that a perspective has been deactivated.
`void`
EditorActionBuilder.ExternalContributor.`init(IActionBars bars, IWorkbenchPage page)`
`void`
CloseAllSavedAction.`pageActivated(IWorkbenchPage page)`
`void`
NavigationHistoryAction.`pageActivated(IWorkbenchPage page)`
`void`
PageEventAction.`pageActivated(IWorkbenchPage page)`
The `PageEventAction` implementation of this `IPageListener` method records that the given page is active.
`void`
PerspectiveTracker.`pageActivated(IWorkbenchPage page)`
`void`
CloseAllSavedAction.`pageClosed(IWorkbenchPage page)`
`void`
NavigationHistoryAction.`pageClosed(IWorkbenchPage page)`
`void`
PageEventAction.`pageClosed(IWorkbenchPage page)`
The `PageEventAction` implementation of this `IPageListener` method clears the active page if it just closed.
`void`
PerspectiveTracker.`pageClosed(IWorkbenchPage page)`
`void`
PageEventAction.`pageOpened(IWorkbenchPage page)`
The `PageEventAction` implementation of this `IPageListener` method does nothing.
`void`
PerspectiveTracker.`pageOpened(IWorkbenchPage page)`
`void`
PerspectiveTracker.`perspectiveActivated(IWorkbenchPage page, IPerspectiveDescriptor perspective)`
`void`
ToggleEditorsVisibilityAction.`perspectiveActivated(IWorkbenchPage page, IPerspectiveDescriptor perspective)`
`void`
ToggleEditorsVisibilityAction.`perspectiveChanged(IWorkbenchPage page, IPerspectiveDescriptor perspective, String changeId)`
`protected abstract void`
PerspectiveAction.`run(IWorkbenchPage page, IPerspectiveDescriptor persp)`
Runs the action, passing the active page and perspective.
`protected void`
ToggleEditorsVisibilityAction.`run(IWorkbenchPage page, IPerspectiveDescriptor persp)`
`void`
WorkbenchWindow.`setActivePage(IWorkbenchPage in)`
`void`
WorkbenchPartReference.`setPage(IWorkbenchPage newPage)`
`boolean`
DefaultSaveable.`show(IWorkbenchPage page)`
Constructors in org.eclipse.ui.internal with parameters of type IWorkbenchPage
Modifier
Constructor
Description
``
`EditorReference(IEclipseContext windowContext, IWorkbenchPage page, MPart part, IEditorInput input, org.eclipse.ui.internal.registry.EditorDescriptor descriptor, IMemento editorState)`
``
`NavigationHistory(IWorkbenchPage page)`
Creates a new NavigationHistory to keep the NavigationLocation entries of the specified page.
``
`NavigationHistoryEntry(NavigationHistoryEditorInfo editorInfo, IWorkbenchPage page, IEditorPart part, INavigationLocation location)`
Constructs a new HistoryEntry and intializes its editor input and editor id.
``
`ViewReference(IEclipseContext windowContext, IWorkbenchPage page, MPart part, org.eclipse.ui.internal.registry.ViewDescriptor descriptor)`
``
`WorkbenchPartReference(IEclipseContext windowContext, IWorkbenchPage page, MPart part)`

## Uses of IWorkbenchPage in org.eclipse.ui.navigator

Methods in org.eclipse.ui.navigator that return IWorkbenchPage
Modifier and Type
Method
Description
`IWorkbenchPage`
ICommonViewerWorkbenchSite.`getPage()`
Returns the page corresponding to this viewer site.
Methods in org.eclipse.ui.navigator with parameters of type IWorkbenchPage
Modifier and Type
Method
Description
`void`
ILinkHelper.`activateEditor(IWorkbenchPage aPage, IStructuredSelection aSelection)`
Activate the correct editor for aSelection.

## Uses of IWorkbenchPage in org.eclipse.ui.part

Methods in org.eclipse.ui.part that return IWorkbenchPage
Modifier and Type
Method
Description
`IWorkbenchPage`
EditorActionBarContributor.`getPage()`
Returns this contributor's workbench page.
`IWorkbenchPage`
MultiPageEditorSite.`getPage()`
The `MultiPageEditorSite` implementation of this `IWorkbenchPartSite` method forwards to the multi-page editor to return the workbench page.
`IWorkbenchPage`
PageSite.`getPage()`
Methods in org.eclipse.ui.part with parameters of type IWorkbenchPage
Modifier and Type
Method
Description
`void`
EditorActionBarContributor.`init(IActionBars bars, IWorkbenchPage page)`
The `EditorActionBarContributor` implementation of this `IEditorActionBarContributor` method remembers the page then forwards the call to `init(IActionBars)` for backward compatibility

## Uses of IWorkbenchPage in org.eclipse.ui.views.markers

Methods in org.eclipse.ui.views.markers with parameters of type IWorkbenchPage
Modifier and Type
Method
Description
`static boolean`
MarkerViewUtil.`showMarker(IWorkbenchPage page, IMarker marker, boolean showView)`
Shows the given marker in the appropriate view in the given page.
`static boolean`
MarkerViewUtil.`showMarkers(IWorkbenchPage page, IMarker[] markers, boolean showView)`
Shows the given markers in the appropriate view for the first marker in the given page.